[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [d-i] Problems encountered while trying to build modules



On Sun, Aug 04, 2002 at 08:30:22AM +0200, Tollef Fog Heen wrote:
> * Andre Luis Lopes 
> 
> |  cc -Wall  -Os -fomit-frame-pointer partkit.c  -o partkit
> |  -I../cdebconf/src/ -L../cdebconf/src -ldebconf -lparted
> |  partkit.c: In function `partkit_get_table':
> |  partkit.c:94: warning: implicit declaration of function `ped_disk_open'
> |  partkit.c:94: warning: assignment makes pointer from integer without a
> |  cast
> 
> looks like missing build-deps on either libparted-dev or
> libparted1.6-dev.  Can you install either (and if you have that
> already, install the other) and try again?

Something is wrong here :

andrelop@foobar:~/debian-installer/tools$ dpkg -s libparted1.6-dev |
grep Status
Status: install ok installed
andrelop@foobar:~/debian-installer/tools$

andrelop@foobar:~/debian-installer/tools$ su -c "apt-get install
libparted-dev"
Password: 
Reading Package Lists... Done
Building Dependency Tree... Done
Note, selecting libparted1.6-dev instead of libparted-dev
Sorry, libparted1.6-dev is already the newest version.
0 packages upgraded, 0 newly installed, 0 to remove and 1  not upgraded.
andrelop@foobar:~/debian-installer/tools$

Should I purge libparted1.6-dev and install libparted-dev instead ?
Which one is suposed to be latest and recommend version and should be
used preferably ?


-- 
++----------------------------------------------------------------------++
||  Andre Luis Lopes                   andrelop@ig.com.br               ||
||  Debian-BR Project                  http://debian-br.cipsga.org.br   ||
||  Personal Web Site                  http://www.utah.com.br/~andrelop ||      
||  Public GPG KeyID                   9D1B82F6                         ||
||  Keyserver                          wwwkeys.eu.pgp.net               ||

Attachment: pgpi0iirybv2r.pgp
Description: PGP signature


Reply to: